Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.query
Class ProfileSelectors

    java.lang.Object
      com.ibm.workplace.wcm.api.query.ProfileSelectors

    public final class ProfileSelectors

extends java.lang.Object

`ProfileSelectors` is a helper class to create profile related `Selector`.

Since:
  7.0

Nested Class Summary
`protected static interface` | `ProfileSelectors.Factory` Factory interface, used for internal implementation

Field Summary
`protected static ProfileSelectors.Factory` | `factory` injected factory

Constructor Summary
`ProfileSelectors()`

Method Summary
`static Selector` | `categoriesContains(java.util.Collection<? extends Identity> categories)` Returns a selector representing categories 'contain'.
`static Selector` | `categoriesContains(Identity category)` Returns a selector representing category 'contain'.
`static Selector` | `keywordIn(java.util.Collection<java.lang.String> keywords)` Returns a selector representing keywords 'in'.
`static Selector` | `keywordsContain(java.util.Collection<java.lang.String> keywords)` Returns a selector representing keywords 'contain'.
`static Selector` | `keywordsContain(java.lang.String keyword)` Returns a selector representing keywords 'contain'.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### factory

    protected static volatile ProfileSelectors.Factory factory

  injected factory

Constructor Detail

### ProfileSelectors

    public ProfileSelectors()

Method Detail

### categoriesContains

    public static Selector categoriesContains(Identity category)

  Returns a selector representing category 'contain'.

  Parameters:
    `category` - category id
  Returns:
    category 'contain' selector

### categoriesContains

    public static Selector categoriesContains(java.util.Collection<? extends Identity> categories)

  Returns a selector representing categories 'contain'. Items in the query result will match all ids in the categories set.

  Parameters:
    `categories` - a set of category id
  Returns:
    categories 'contain' selector

### keywordsContain

    public static Selector keywordsContain(java.lang.String keyword)

  Returns a selector representing keywords 'contain'.

  Parameters:
    `keyword` - keyword
  Returns:
    keyword 'contain' selector

### keywordsContain

    public static Selector keywordsContain(java.util.Collection<java.lang.String> keywords)

  Returns a selector representing keywords 'contain'. Items in the query result will match all keywords in the keywords set.

  Parameters:
    `keywords` - a set of keywords
  Returns:
    keyword 'contain' selector

### keywordIn

    public static Selector keywordIn(java.util.Collection<java.lang.String> keywords)

  Returns a selector representing keywords 'in'. Items in the query result will match at least one keyword in the keywords set.

  Parameters:
    `keywords` - a set of keywords
  Returns:
    keyword 'in' selector

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD